Changeset 7916 for trunk


Ignore:
Timestamp:
Feb 24, 2021, 8:50:51 AM (5 months ago)
Author:
Nicklas Nordborg
Message:

Fixes #2244: Add notice about support for MySQL is ending

Location:
trunk/doc/src/docbook
Files:
2 edited

Legend:

Unmodified
Added
Removed
  • trunk/doc/src/docbook/admin/installation.xml

    r7826 r7916  
    4747
    4848    <important id="installation.upgrade.important">
    49       <title>Important information for upgrading to BASE 3.17</title>
     49      <title>Important information for upgrading to BASE 3.18</title>
    5050      <para>
    5151        This section list some important information that may or may not
    5252        apply when upgrading from the <emphasis>previous</emphasis> BASE
    53         release to the current release (eg. 3.16 to 3.17). If you are
    54         upgrading from a BASE installation that is older (3.0-3.15)
     53        release to the current release (eg. 3.17 to 3.18). If you are
     54        upgrading from a BASE installation that is older (3.0-3.16)
    5555        you should also read <xref linkend="appendix.update_warnings" />.
    5656      </para>
    5757     
    58       <bridgehead>MySQL versions before 8.0 are no longer supported</bridgehead>
     58      <bridgehead>Support for MySQL is ending in BSE 3.19</bridgehead>
    5959      <para>
    60         Starting with this release, we no longer test BASE with MySQL versions
    61         before 8.0. We are recommending existing installations are upgraded to
    62         use MySQL 8 or migrated to PostgreSQL.
     60        This is the last release of BASE that is tested with MySQL 8.0.
     61        Starting with BASE 3.19 we will only test with and support PostgreSQL.
     62        BASE may still work with MySQL after that, but we recommend that
     63        existing installations are migrated to PostgreSQL as soon as possible.
    6364      </para>
    6465   
     
    292293            </varlistentry>
    293294            <varlistentry>
    294               <term>MySQL</term>
     295              <term>MySQL (support is ending in BASE 3.19)</term>
    295296              <listitem>
    296297                <para>
    297                   As of BASE 3.17 we are only testing with MySQL 8.0.
    298                   Other versions may also work, but are no longer tested.
     298                  Support for MySQL is ending in BASE 3.19. We do not
     299                  recommend that MySQL is used for new installations.
     300                  Existing installation should migrate to PostgreSQL
     301                  as soon as possible. See <xref linkend="installation.migrate" />.
    299302                  Download MySQL from
    300303                  <ulink url="http://www.mysql.com/" />. You need to
  • trunk/doc/src/docbook/appendix/update_warnings.xml

    r7826 r7916  
    3535    to the current version.
    3636  </para>
     37
     38  <sect1 id="appendix.update_warnings.3.18">
     39    <title>BASE 3.18</title>
     40
     41    <bridgehead>Support for MySQL is ending in BASE 3.19</bridgehead>
     42    <para>
     43      This is the last release of BASE that is tested with MySQL 8.0.
     44      Starting with BASE 3.19 we will only test with and support PostgreSQL.
     45      BASE may still work with MySQL after that, but we recommend that
     46      existing installations are migrated to PostgreSQL as soon as possible.
     47    </para>
     48 
     49  </sect1>
     50
    3751
    3852  <sect1 id="appendix.update_warnings.3.17">
Note: See TracChangeset for help on using the changeset viewer.